/* ==========================================================================
   Product List shortcode styles - begin
   ========================================================================== */

.mkdf-pl-holder {
    @include mkdfRelativeHolderLayout();

    .mkdf-pli {
        position: relative;
        display: inline-block;
        vertical-align: top;
        width: 100%;
        padding: 0;
        z-index: 100;
        box-sizing: border-box;

	    .mkdf-pli-title {
		    margin: 0 0 4px;
	    }
	
	    .mkdf-pli-category {
		    margin: 11px 0 3px;
	    }

        .mkdf-pli-excerpt {
            color: $default-heading-color;
	        line-height: 1.3em;
            margin: 11px 0 3px;
        }

	    .mkdf-pli-rating-holder {
		    @include mkdfRelativeHolderLayout();
		    line-height: 1;
		    margin: 10px 0 3px;
	    }

	    .mkdf-pli-rating {
		    position: relative;
		    display: inline-block;
		    vertical-align: middle;
		    font-family: "ElegantIcons";
		    font-size: 12px;
		    line-height: 1;
		    letter-spacing: 2px;
		    color: $default-text-color;
		    overflow: hidden;
		    -webkit-font-smoothing: antialiased;

		    &:before {
			    content: "\e031\e031\e031\e031\e031";
		    }

		    span {
			    position: absolute;
			    top: 0;
			    left: 0;
			    overflow: hidden;

			    &:before {
				    content: "\e033\e033\e033\e033\e033";
			    }
		    }
	    }

        .mkdf-pli-price {
            line-height: 1;
            margin: 14px 0 0;
            color: $default-heading-color;

            * {
                font-size: inherit;
                line-height: inherit;
            }

            del {
	            margin: 0 8px 0 0;
            }

            ins {                
                text-decoration: none;
            }
        }
    }

    .mkdf-pli-inner {
        position: relative;
        display: inline-block;
        vertical-align: middle;
        overflow: hidden;

        &:hover {

            .mkdf-pli-text {
                opacity: 1;
            }
        }

        .touch & {
            cursor: pointer;
        }

        .mkdf-pli-image {
            @include mkdfRelativeHolderLayout();

            img {
                display: block;
                width: 100%;
            }

            .mkdf-pli-onsale,
            .mkdf-pli-out-of-stock {
                position: absolute;
                display: block;
                top: 0;
                width: auto;
                height: 24px;
                color: #fff;
                font-size: 8px;
                line-height: 24px;
                letter-spacing: 1px;
                padding: 0 16px;
                margin: 0;
                text-align: center;
                z-index: 100;
                @include mkdfTransform(translateZ(0));
                box-sizing: border-box;
            }

            .mkdf-pli-onsale {
                left: 0;
	            background-color: rgba($default-heading-color, .5);
            }

            .mkdf-pli-out-of-stock {
	            right: 0;
	            background-color: rgba($default-heading-color, .5);
            }
        }
            
        .mkdf-pli-text {
            position: absolute;
            top: 0;
            left: 0;
            display: inline-block;
            width: 100%;
            height: 100%;
            padding: 10px;
            opacity: 0;
            background-color: rgba($default-heading-color, 0.6);
            box-sizing: border-box;
            @include mkdfTransition(opacity .2s ease-out);
        }

        .mkdf-pli-text-outer {
            position: relative;
            display: table;
            width: 100%;
            height: 100%;
	        text-align: center;
        }

        .mkdf-pli-text-inner {
            position: relative;
            display: table-cell;
            width: 100%;
            height: 100%;
            vertical-align: middle;

            .mkdf-pli-title,
            .mkdf-pli-category a,
            .mkdf-pli-excerpt,
            .mkdf-pli-rating,
            .mkdf-pli-price {
                color: #fff;
            }
	
	        .mkdf-pli-category a:hover {
		        color: rgba(#fff, .8);
	        }

	        .mkdf-pli-add-to-cart {
		        margin: 20px 0 0;

		        &.mkdf-default-skin {

			        .button,
			        .added_to_cart {
				        @include mkdfButtonSolidColor();

				        &:hover {
				            @include mkdfButtonSolidHoverColor();
				        }
			        }
		        }

		        &.mkdf-light-skin {

			        .button,
			        .added_to_cart {
				        color: $default-heading-color;
				        background-color: #fff;

				        &:hover {
					        color: #fff;
					        background-color: $first-main-color;
				        }
			        }
		        }
		
		        &.mkdf-dark-skin {
			
			        .button,
			        .added_to_cart {
				        color: #fff;
				        background-color: $default-heading-color;
				
				        &:hover {
					        color: #fff;
					        background-color: $first-main-color;
				        }
			        }
		        }
	        }

            .button,
            .added_to_cart {
	            @include mkdfButtonDefaultStyle();
	            @include mkdfButtonMediumParams();
	            white-space: nowrap;
	            z-index: 3;
            }

            .button.added {
                display: none;
            }
        }

	    .mkdf-pli-link {
		    @include mkdfAbsoluteHolderLayout();
	    }
    }

    .mkdf-pli-text-wrapper {
        @include mkdfRelativeHolderLayout();
        margin: 22px 0 38px;
        text-align: left;
    }
	
	&.mkdf-product-info-light {
		
		.mkdf-pli-inner {
			
			.mkdf-pli-text-inner {
				
				.mkdf-pli-title,
				.mkdf-pli-category a,
				.mkdf-pli-excerpt,
				.mkdf-pli-rating,
				.mkdf-pli-price {
					color: #fff;
				}
				
				.mkdf-pli-category a:hover {
					color: rgba(#fff, .8);
				}
			}
		}
	}
	
	&.mkdf-product-info-dark {
		
		.mkdf-pli-inner {
			
			.mkdf-pli-text-inner {
				
				.mkdf-pli-title,
				.mkdf-pli-category a,
				.mkdf-pli-excerpt,
				.mkdf-pli-rating,
				.mkdf-pli-price {
					color: $default-heading-color;
				}
				
				.mkdf-pli-category a:hover {
					color: rgba($default-heading-color, .8);
				}
			}
		}
	}
	
	$columns_space_label: ('no', 'tiny', 'small', 'normal');
	$columns_space_width: (0, 5, 10, 15);
	
	@for $i from 0 to length($columns_space_label) {
		&.mkdf-#{nth($columns_space_label,$i+1)}-space {
			$column_width: nth($columns_space_width,$i+1);
			$column_width_margin: $column_width * 2;
			
			.mkdf-pl-outer {
				@if($column_width == 0) {
					margin: 0;
				} @else {
					margin: 0 -#{$column_width}px;
				}
				
				.mkdf-pli {
					padding: 0 #{$column_width}px;
					margin: 0 0 #{$column_width_margin}px;
				}
			}
		}
	}
	
	/*************** Standard Layout - begin ***************/
	
	&.mkdf-standard-layout {
		
		.mkdf-pli {
			float: left;
		}
		
		&.mkdf-normal-space {
			margin: 0 0 -30px;
		}
		
		&.mkdf-small-space {
			margin: 0 0 -20px;
		}
		
		&.mkdf-tiny-space {
			margin: 0 0 -10px;
		}
		
		$standard_list_columns: ('two', 'three', 'four', 'five', 'six');
		
		@for $i from 0 to length($standard_list_columns) {
			&.mkdf-#{nth($standard_list_columns,$i+1)}-columns {
				$column_width: 100%/($i+2);
				
				.mkdf-pli {
					width: $column_width;
					
					@media only screen and (min-width: $ipad-landscape-plus-pixel) {
						
						&:nth-child(#{$i+2}n+1) {
							clear: both;
						}
					}
				}
			}
		}
	}
	
	/*************** Standard Layout - end ***************/
	
	/*************** Masonry Layout - begin ***************/
	
	&.mkdf-masonry-layout {
		
		.mkdf-pl-outer {
			opacity: 0;
		}
		
		.mkdf-pl-sizer {
			width: 100%;
		}
		
		.mkdf-pl-gutter {
			width: 0;
		}
		
		.mkdf-pli-inner {
			width: 100%;
		}
		
		$masonry_list_columns: ('two', 'three', 'four', 'five', 'six');
		
		@for $i from 0 to length($masonry_list_columns) {
			&.mkdf-#{nth($masonry_list_columns,$i+1)}-columns {
				$column_width: 100%/($i+2);
				
				.mkdf-pli,
				.mkdf-pl-sizer {
					width: $column_width;
				}
				
				.mkdf-pli.mkdf-woo-image-large-width {
					width: $column_width*2;
				}
			}
		}
	}
	
	/*************** Masonry Layout - end ***************/
}
/* ==========================================================================
   Product List shortcode styles - end
   ========================================================================== */